Sorting and displaying users is different order
2016-04-14 09:10 - Krzysztof Wosinski

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution:

Description

| tried to sort users (mainly in watchers list) in a different order than the order of displaing them. While users are to be displayed in
the 'firstname lastname' order, | wanted to sort them by their lastname ('lastname firstname'), for example: "John Doe, Ann Smith"
instead of the default sorting for this type of display "Ann Smith, John Doe".

| changed the order the ":order’ field in /models/user.rb but it seems that it affected nothing - the users are still ordered according to
the setting in ":string' field.

What does the ":order' do then?

Environment:

Redmine version 2.4.2.stable
Ruby version 1.9.3-p484
Rails version 3.2.16
History

#1 - 2016-05-13 02:34 - Toshi MARUYAMA
- Tracker changed from Defect to Feature

- Category changed from Issues planning to Accounts / authentication
#2 - 2024-01-23 19:46 - philippe lhardy

Quickly looking at this i wonder it is #40100.
ordering comes from sorted, but can be defeated later by any call to sort on collections.
